Bug 196027 - epstopdf rotates eps files
Summary: epstopdf rotates eps files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tetex   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-20 14:15 UTC by Alfred de Wijn
Modified: 2013-07-02 23:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 13:47:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (419 bytes, patch)
2006-06-20 14:15 UTC, Alfred de Wijn
no flags Details | Diff

Description Alfred de Wijn 2006-06-20 14:15:28 UTC
Description of problem:
epstopdf rotates my eps files 90 degrees.

Version-Release number of selected component (if applicable):
EPSTOPDF 2.7, 2001/03/05

How reproducible:
Problem occurs on all my eps figures.

Steps to Reproduce:
1. epstopdf figure.eps > figure.pdf
  
Actual results:
Figure in pdf format, but rotated 90 degrees.

Expected results:
Figure in pdf format, in the same orientation as the original.

Additional info:
It seems that gs attempts to guess the page orientation when converting to pdf
by looking at text orientation.  In the case of epstopdf, this behavior is
undesired.  The solution is to tell gs to not rotate the figure using
-dAutoRotatePages=/None.  A patch is attached.

This same bug was identified some time ago in Debian
(http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=131570), but is does not seem
to have propaged upstream.

Comment 1 Alfred de Wijn 2006-06-20 14:15:28 UTC
Created attachment 131199 [details]
patch

Comment 2 Jindrich Novy 2006-06-26 13:47:55 UTC
Fixed in tetex-3.0-20.FC5. The epstopdf is updated to 2.9 what resolves this issue.


Note You need to log in before you can comment on or make changes to this bug.